---
updatedAt: 2025-12-23T13:15:54.000Z
agentTools:
  projectIndex: https://virustotal.readme.io/llms.txt
---

# Grant Livehunt ruleset edit permissions for a user or group

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "vt-enterprise",
    "version": "3.0"
  },
  "servers": [
    {
      "url": "https://www.virustotal.com/api/v3"
    }
  ],
  "security": [],
  "paths": {
    "/intelligence/hunting_rulesets/{id}/relationships/editors": {
      "post": {
        "summary": "Grant Livehunt ruleset edit permissions for a user or group",
        "description": "",
        "operationId": "edit-hunting-ruleset-relationship",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "description": "Ruleset identifier",
            "schema": {
              "type": "string"
            },
            "required": true
          },
          {
            "name": "x-apikey",
            "in": "header",
            "description": "Your API key",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "data": {
                    "type": "string",
                    "description": "A list of user/groups to be added as editors or set as owners of the ruleset",
                    "format": "json"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl --request POST \\\n  --url https://www.virustotal.com/api/v3/intelligence/hunting_rulesets/{id}/relationships/editors \\\n  --header 'x-apikey: <your API key>'\n  --data='{\"data\": [{\"type\": \"user\", \"id\": \"<user id>\"}]}'"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": false
  },
  "x-readme-fauxas": true
}
```